Bug 75419 - Server hangs after "kernel: VFS: Error -5 occured while creating quota." errors
Server hangs after "kernel: VFS: Error -5 occured while creating quota." errors
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-08 06:19 EDT by Zoltan Arpadffy
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-08 06:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoltan Arpadffy 2002-10-08 06:19:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
Server hangs from time to time. I could not see any reason why should it 
happened. It usually happens in early morning between 4-5AM. After some reports 
in the tail and console as:
kernel: VFS: find_free_dqentry(): Data block full but it shouldn't.
kernel: VFS: Error -5 occurred while creating quota.
or
kernel: VFS: Error -5 occured while creating quota.
kernel: VFS: Inserting already present quota entry (block 1147).
kernel: VFS: Error -5 occured while creating quota.
kernel: VFS: Inserting already present quota entry (block 1149).

Server needs to be restarted. Maximum uptime is about 6 days, but ic could 
happen sometimes after one single day.
Server is overloaded, 23k+ accounts with quotas.
kernel-2.4.18-10
quota-3.03-1
If you need any other information, please do not hesitate to ask.




Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
It just happens, and I do not have any idea how to reproduce.	

Actual Results:  Server hangs. However ping respond, but it is not possible to 
log in nor use from the console. 

Expected Results:  To work everything without interruption with 100 days uptime.

Additional info:

I do not have any idea what can it be, but I can provide my server if somebody 
need to check my environment on everyday load etc. In order to find some 
solution.
Comment 1 Phil Copeland 2002-11-12 07:12:43 EST
Hum
Two items

The quota version you are using has been superceeded by version 3.06-5
I'd made a rpm update and that is/was sitting in the errata system awaiting
approval. However, that same quota package is used in RH8.0 and the SRPM for it
is applicable across RH 6.2, 7.(0,1,2,3) and obviously 8.0.

Please download the quota SRPM and rebuild it
ftp://ftp.redhat.com/pub/redhat/linux/8.0/en/os/i386/SRPMS/quota-3.06-5.src.rpm

 rpmbuild -rebuild quota-3.06-5.src.rpm
 rpm -Uvh /usr/src/redhat/RPMS/i386/quota-3.06*

Please also be aware of a kernel issue with UID's > 65535  (see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=73244

Phil
=--=
Comment 2 Petri T. Koistinen 2003-06-02 14:32:56 EDT
See also bug #68274

Note You need to log in before you can comment on or make changes to this bug.